Resample.h File Reference

Contains functions for resampling fields. More...

`#include "DenseField.h"`
`#include "SparseField.h"`
`#include "ns.h"`

Go to the source code of this file.

## Classes

struct | BoxFilter
struct | Filter
struct | GaussianFilter
struct | MaxFilter
struct | MinFilter
struct | MitchellFilter
struct | TriangleFilter

## Namespaces

namespace | detail

## Functions

float | detail::getDist (const bool doUpres, const float &srcP, const float &tgtP, const float &srcSize, const float &tgtSize)
V3f | detail::getDist (const V3i &doUpres, const V3f &srcP, const V3f &tgtP, const V3f &srcSize, const V3f &tgtSize)
template<typename Field_T, typename FilterOp_T>
FIELD3D_NAMESPACE_OPEN bool | resample (const Field_T &src, Field_T &tgt, const V3i &newRes, const FilterOp_T &filter)
| Resamples the source field into the target field, such that the new data window is @dataWindow.
template<typename Field_T, typename FilterOp_T>
bool | resample (const Field_T &src, Field_T &tgt, const V3i &newRes, const FilterOp_T &filterOp)
| Resamples the source field into the target field, such that the new data window is @dataWindow.
template<typename Field_T, typename FilterOp_T, bool IsAnalytic_T>
void | detail::separable (const Field_T &src, Field_T &tgt, const V3i &newRes, const FilterOp_T &filterOp, const size_t dim)
template<typename Field_T, typename FilterOp_T>
bool | detail::separableResample (const Field_T &src, Field_T &tgt, const V3i &newRes, const FilterOp_T &filterOp)
| Resamples the source field into the target field, using separable execution, which is faster than resample().
std::pair< int, int > | detail::srcSupportBBox (const float &tgtP, const float support, const bool doUpres, const float &srcSize, const float &tgtSize)
Box3i | detail::srcSupportBBox (const V3f &tgtP, const float support, const V3i &doUpres, const V3f &srcSize, const V3f &tgtSize)

## Detailed Description

Contains functions for resampling fields.

Definition in file Resample.h.

## Function Documentation

## resample() [1/2]

template<typename Field_T, typename FilterOp_T>

FIELD3D_NAMESPACE_OPEN bool resample | ( | const Field_T & | src,
|  | Field_T & | tgt,
|  | const V3i & | newRes,
|  | const FilterOp_T & | filter )

Resamples the source field into the target field, such that the new data window is @dataWindow.

Note
  This will query filter.isSeparable() and call separableResample() if possible.
  The extents of the field will be reset to match the data window. This should

Definition at line 560 of file Resample.h.

{
return detail::separableResample(src, tgt, newRes, filterOp);
}
detail::separableResample
bool separableResample(const Field_T &src, Field_T &tgt, const V3i &newRes, const FilterOp_T &filterOp)
Resamples the source field into the target field, using separable execution, which is faster than res...
Definition Resample.h:511

References detail::separableResample().

Referenced by makeMinMax().

## resample() [2/2]

template<typename Field_T, typename FilterOp_T>

bool resample | ( | const Field_T & | src,
|  | Field_T & | tgt,
|  | const V3i & | newRes,
|  | const FilterOp_T & | filter )

Resamples the source field into the target field, such that the new data window is @dataWindow.

Note
  This will query filter.isSeparable() and call separableResample() if possible.
  The extents of the field will be reset to match the data window. This should

Definition at line 560 of file Resample.h.

{
return detail::separableResample(src, tgt, newRes, filterOp);
}

References detail::separableResample().

Referenced by makeMinMax().